Class Index | File Index

## Classes

- _global_
- JSC3D
- JSC3D.AABB
- JSC3D.BinaryStream
- JSC3D.LoaderSelector
- JSC3D.Material
- JSC3D.Math3D
- JSC3D.Matrix3x4
- JSC3D.Mesh
- JSC3D.ObjLoader
- JSC3D.PickInfo
- JSC3D.Scene
- JSC3D.StlLoader
- JSC3D.Texture
- JSC3D.Viewer

# Class JSC3D.Matrix3x4

Matrix3x4 This class implements 3x4 matrix and mass operations for 3D transformations.
Defined in: jsc3d.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JSC3D.Matrix3x4()

Method Summary
Method Attributes | Method Name and Description
--- | ---
| identity() Make the matrix an identical matrix.
| multiply(mult) Multiply the matrix by another matrix.
| rotateAboutXAxis(angle) Rotate the matrix an arbitrary angle about the x-axis.
| rotateAboutYAxis(angle) Rotate the matrix an arbitrary angle about the y-axis.
| rotateAboutZAxis(angle) Rotate the matrix an arbitrary angle about the z-axis.
| scale(sx, sy, sz) Scale the matrix using scaling factors on each axial directions.
| translate(tx, ty, tz) Translate the matrix using translations on each axial directions.

Class Detail
JSC3D.Matrix3x4()
Method Detail
identity()
Make the matrix an identical matrix.

multiply(mult)
Multiply the matrix by another matrix.

Parameters:
{JSC3D.Matrix3x4} mult
  another matrix to be multiplied on this.

rotateAboutXAxis(angle)
Rotate the matrix an arbitrary angle about the x-axis.

Parameters:
{Number} angle
  rotation angle in degrees.

rotateAboutYAxis(angle)
Rotate the matrix an arbitrary angle about the y-axis.

Parameters:
{Number} angle
  rotation angle in degrees.

rotateAboutZAxis(angle)
Rotate the matrix an arbitrary angle about the z-axis.

Parameters:
{Number} angle
  rotation angle in degrees.

scale(sx, sy, sz)
Scale the matrix using scaling factors on each axial directions.

Parameters:
{Number} sx
  scaling factors on x-axis.
{Number} sy
  scaling factors on y-axis.
{Number} sz
  scaling factors on z-axis.

translate(tx, ty, tz)
Translate the matrix using translations on each axial directions.

Parameters:
{Number} tx
  translations on x-axis.
{Number} ty
  translations on y-axis.
{Number} tz
  translations on z-axis.

Documentation generated by JsDoc Toolkit 2.1.0 on Thu Nov 28 2013 14:35:14 GMT+0800 (CST)